## nsmon 2.3e-3

=== Makefile ===
#nsmon Makefile
C_ARGS = -Wall -O2
CC = gcc
INS = /usr/bin/install

all:	nsmon

install: nsmon
	$(INS) -o root -g root -m 0755 -s nsmon debian/tmp/usr/sbin/nsmon
	$(INS) -o root -g root -m 0644 -b nsmon.conf debian/tmp/etc/nsmon.conf
	$(INS) -o root -g root -m 0644 -b readme.html debian/tmp/usr/share/doc/nsmon/readme.html
	$(INS) -o root -g root -m 0644 -b nsmon.gif debian/tmp/usr/share/doc/nsmon/nsmon.gif

clean:
	rm -f *.o
	rm nsmon

nsmon:	nsmon.o port_test.o config.o ping_test.o run_check.o gateway_test.o
	$(CC) -o nsmon nsmon.o config.o port_test.o ping_test.o run_check.o gateway_test.o

nsmon.o:	nsmon.c
	$(CC) $(C_ARGS) -c nsmon.c

config.o:	config.c
	$(CC) $(C_ARGS) -c config.c

port_test.o:	port_test.c
	$(CC) $(C_ARGS) -c port_test.c

ping_test.o:	ping_test.c
	$(CC) $(C_ARGS) -c ping_test.c

run_check.o:	run_check.c
	$(CC) $(C_ARGS) -c run_check.c

gateway_test.o:	gateway_test.c
	$(CC) $(C_ARGS) -c gateway_test.c

=== debian/changelog ===
nsmon (2.3e-3) frozen; urgency=low

  * closed Bug#60463. nsmon.conf see-also was erased from nsmon manpage
    and added readme.html into /usr/share/doc/nsmon.

 -- Tibor Koleszar <oldw@debian.org>  Mon, 20 Mar 2000 0:06:12 +0100

nsmon (2.3e-2) unstable; urgency=low

  * fixed install -s for nsmon.conf at Makefile.

 -- Tibor Koleszar <oldw@debian.org>  Sat, 8  Jan 2000 20:25:57 +0100

nsmon (2.3e-1) unstable; urgency=low

  * Send To: field in the email.
  * Use X-NsMon-Error in the email.

 -- Tibor Koleszar <oldw@debian.org>  Mon, 15 Feb 1999 11:22:20 +0100

Local variables:
mode: debian-changelog
add-log-mailing-address: "oldw@debian.org"
End:

=== debian/control ===
Source: nsmon
Section: net
Priority: optional
Maintainer: Tibor Koleszar <oldw@debian.org>
Standards-Version: 2.5.0

Package: nsmon
Architecture: any
Depends: ${shlibs:Depends}
Description: intranet/internet server checker.
 A program which can check your servers which are connected
 to the internet/intranet via TCP/IP. There is ping and port check.
 Ping is an ICMP echo port check is a simple connect() to the
 specified port.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=nsmon

build:
	$(checkdir)
	
	$(MAKE) CFLAGS="-O2 -g -Wall"
	touch build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	$(MAKE) install DESTDIR=`pwd`/debian/tmp
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd 
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## nsmon 2.3e-4

=== Makefile ===
--- 
+++ 
@@ -6,10 +6,11 @@
 all:	nsmon
 
 install: nsmon
-	$(INS) -o root -g root -m 0755 -s nsmon debian/tmp/usr/sbin/nsmon
-	$(INS) -o root -g root -m 0644 -b nsmon.conf debian/tmp/etc/nsmon.conf
-	$(INS) -o root -g root -m 0644 -b readme.html debian/tmp/usr/share/doc/nsmon/readme.html
-	$(INS) -o root -g root -m 0644 -b nsmon.gif debian/tmp/usr/share/doc/nsmon/nsmon.gif
+	$(INS) -o root -g root -m 0755 -s nsmon $(DESTDIR)/usr/sbin/nsmon
+	$(INS) -o root -g root -m 0644 -b nsmon.conf $(DESTDIR)/etc/nsmon.conf
+	$(INS) -o root -g root -m 0644 -b readme.html $(DESTDIR)/usr/share/doc/nsmon/readme.html
+	$(INS) -o root -g root -m 0644 -b nsmon.gif $(DESTDIR)/usr/share/doc/nsmon/nsmon.gif
+	$(INS) -o root -g root -m 0444 nsmon.8 $(DESTDIR)/usr/share/man/man8
 
 clean:
 	rm -f *.o

=== debian/changelog ===
nsmon (2.3e-4) unstable; urgency=low

  * The description of the package was rewritten. Closes: bug#135530
  * Fixed copyright and licence. Closes: bug#143727

 -- Tibor Koleszar <oldw@debian.org>  Tue, 11 Jun 2002 11:31:54 +0100

=== debian/control ===
Source: nsmon
Section: net
Priority: optional
Maintainer: Tibor Koleszar <oldw@debian.org>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: nsmon
Architecture: any
Depends: ${shlibs:Depends}
Description: intranet/internet server checker.
 This tool can check your servers via TCP/IP. It will either do a ping,
 a port or both checks. The ping check will be a simple ICMP echo request,
 while the port check is a simple connect() to the specified port.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/nsmon
	$(MAKE) install DESTDIR=$(CURDIR)/debian/nsmon


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
	dh_installinit
#	dh_installcron
#	dh_installman
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## nsmon 2.3e-5

=== debian/changelog ===
nsmon (2.3e-5) unstable; urgency=low

  * QA Group upload orphaning this package
  * debian/control: Build-Depend on dpatch
  * debian/rules: Add dpatch support
  * Added patch from Andreas Jochens to fix FTBFS with gcc-4.0 (closes:
    #298714)
  * debian/conffiles: removed as it was redundant
  * debian/control: rephrased package description synopsis
  * debian/copyright: Updated FSF address
  * debian/copyright: mentioned location of the full text of the GPL
  * debian/changelog: removed Emacs crap from the bottom

 -- Andrew Pollock <apollock@debian.org>  Wed,  5 Oct 2005 08:47:56 +1000

=== debian/control ===
Source: nsmon
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>> 3.0.0), dpatch
Standards-Version: 3.5.2

Package: nsmon
Architecture: any
Depends: ${shlibs:Depends}
Description: intranet/internet server checker
 This tool can check your servers via TCP/IP. It will either do a ping,
 a port or both checks. The ping check will be a simple ICMP echo request,
 while the port check is a simple connect() to the specified port.

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,10 @@
 
 # This is the debhelper compatability version to use.
 export DH_COMPAT=3
+
+PACKAGE=nsmon
+
+include /usr/share/dpatch/dpatch.make
 
 configure: configure-stamp
 configure-stamp:
@@ -18,7 +22,7 @@
 
 build: build-stamp
 
-build-stamp: configure-stamp 
+build-stamp: configure-stamp patch-stamp
 	dh_testdir
 
 	# Add here commands to compile the package.
@@ -26,7 +30,7 @@
 
 	touch build-stamp
 
-clean:
+clean: unpatch
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp
